#! /usr/bin/python
# -*- coding: shift_jis -*-
# -*- mode: python -*-
__version__ = 1
#
import sys, os
_debug = 0

def dpr(ss):
  if 0 < _debug:
    print(ss)

def _cmp(sl, ss):
  if len(sl) < len(ss):
    #print('assert: bad logic, %s < %s' % (sl, ss))
    return False
  if sl.lower()[:len(ss)] == ss.lower():
    return True
  return False


def rm_kakko_comma(xys): # (1,2),(3,4) -> 1,2 3,4
  l0 = xys.replace(' ','')
  l1 = l0.replace(',(',' ').replace('),',' ')
  return l1.replace('(','').replace(')','')
  


def getvec(ln): #'(1,2),(3,4)' --->  [[1,2],[3,4]]
  l2 = rm_kakko_comma(ln)
  dpr(l2)
  vecl = []
  vl = l2.split(' ')

  for xys in vl:
    dpr('xys=%s' % xys)
    (xs,ys) = xys.split(',')
    vecl.append([float(xs), float(ys)])
  dpr(vecl)
  return (len(vecl), vecl)


def getoptvec(ln, key):  # (1,2), (3,4) ... 
  if not _cmp(ln, key):
    return (-1, None)
  vecss_ = ln[len(key)+1:]
  return getvec(vecss_)


  

# text sc  vec ݂͕̍s

def getoptsc(ln, key): # 1,2,3,4  
  if not _cmp(ln, key):
    return (-1, None)

  optss_ = ln[len(key)+1:]
  optss = optss_.replace(',', ' ')
  argv = optss.split(' ')
  return (len(argv), argv)


def get_textopt(ll):
  # 'TEXT,0,0,0,0,0,0,(8,12)'
  ss = ll[len('TEXT,'):]
  sl = ss.replace('(','').replace(')','').split(',')
  if len(sl)<7:
    print('bad TEXT op, ll=%s, sl=%s' % (ll, sl))
    print('len(sl)=%d' % len(sl))
    sys.exit(0)
  return (float(sl[6]), float(sl[7]))


#ss = 'SELECTCOLOR,3'
#ss = (0,21.5),(15,13),(14.5,18.5),(5.5,22),(12.5,14),(15.5,1),(7.5,-6.5)
ss = '(0,21.5),(15,13),(14.5,18.5),(5.5,22),(12.5,14),(15.5,1),(7.5,-6.5)'

if __name__ == '__main__':
  for arg in sys.argv[1:]:
    ss = arg

  #foo = getoptsc(ss,'SELECTCOLOR')
  #print(foo)

  getvec(ss)
  ll = 'TEXT,0,0,0,0,0,0,(8,12)'
  (x,y) = get_textopt(ll)
  print('x=%d, y=%d' % (x,y))

  ll = 'TEXT,0,0,0,0,0,(8,12)'
  (x,y) = get_textopt(ll)
  print('x=%d, y=%d' % (x,y))


